counted_ptr< T > Class Template Reference

Reference counted pointer. More...

## Public Member Functions

| counted_ptr (T *p=NULL)
| counted_ptr (const T &r)
| counted_ptr (const counted_ptr< T > &rhs)
const T & | operator* () const
T & | operator* ()
const T * | operator-> () const
T * | operator-> ()
const T * | get () const
T * | get ()
void | attach (const T &p)
counted_ptr< T > & | operator= (const counted_ptr< T > &rhs)

## Detailed Description

### template<class T>
class counted_ptr< T >

Reference counted pointer.

Template Parameters

  T | class or type

users should declare `m_referenceCount` as `std::atomic<unsigned>` (or similar) under C++ 11

Definition at line 129 of file smartptr.h.

The documentation for this class was generated from the following file:

- smartptr.h